<?php
/**
 * Cycle news display
 *
 * @package Cycle news display
 * @subpackage Cycle news display
 * @version   1.0 April, 2012
 * @author    Gopi.R
 * @copyright Copyright (C) 2010 - 2012 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).DS.'helper.php');

// get a parameter from the module's configuration
$cyclenews_direction = $params->get('cyclenews_direction');
$cyclenews_speed = $params->get('cyclenews_speed');
$cyclenews_timeout = $params->get('cyclenews_timeout');
$cyclenews_css = $params->get('cyclenews_css');

for($i=1; $i<=10; $i++)
{
	$cyclenews_news = "cyclenews_news" . $i;
	$args[$cyclenews_news] = $params->get($cyclenews_news);
}

$items = modJCycleNews::getRssList($args);

modJCycleNews::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_cycle_news_display'));
?>